#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, pr, p;

    cin>>n>>k;

    vector<int> sp(n);

    cin>>p;
    sp[p-1]=0;
    pr=p;

    for(int i=1; i<n; i++)
    {
        cin>>p;
        sp[p-1]=i;
    }

    if(sp[k-1]==n-1)
        cout<<pr;
    else
    {
        p=sp[k-1]+1;
        for(int i=0; i<n; i++)
            if(sp[i]==p)
                cout<<i+1;


    }
    return 0;
}